
Redmine - Feature #9994

Add links in report view for users, projects, issues

2012-01-13 15:42 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This helps to stay on the report window, and grab some specific informations in other web browsers tabs.

Related issues:

Related to Redmine - Feature #29042: Add links to Users, Projects and Version... Closed

History

#1 - 2012-01-19 16:52 - Jérôme BATAILLE

Sorry there is an issue in the patch :

in app/helpers/timelog_helper.rb

here are 2 lines to add at the beginning:

...

...

# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#html_escape

include ERB::Util

module TimelogHelper

...

...

#2 - 2012-06-10 23:28 - Jean-Baptiste Barth

Might be ok with one test or two. Does it break anything in global views ? I must admit I don't use time tracking a lot.

#3 - 2012-06-11 10:32 - Jérôme BATAILLE

Jean-Baptiste Barth wrote:

Might be ok with one test or two. Does it break anything in global views ?

 I don't think so, it just replaces text by links, and the changes are only applied when a new parameter is triggered.

I must admit I don't use time tracking a lot.

 It's a part of Redmine that we are using more and more and that we have enhanced a lot.

#4 - 2012-10-26 12:22 - Egidijus Zideckas

- File Timelog_hours_links.JPG added

- File timelog_report_links.diff added

Hi everyone!

I've made a patch which adds links to issues and hours. We really missed links on hours.

Tested on current version 2.1.2.

Your feedback is very welcome. I could make small plugin for this if someone want to use it.

See attached screenshot.
 Timelog_hours_links.JPG 

#5 - 2012-10-26 12:26 - Jérôme BATAILLE

Excellent,

The links show the time entries for the related issue ?

#6 - 2012-10-26 13:06 - Egidijus Zideckas

No, actually it opens Issue. But if you want to open time entries of issue you can click on total column of interested issue line.

My idea was to link hours to time entries, not issues. Issue contains regular issue link.

Jérôme BATAILLE wrote:

Excellent,

The links show the time entries for the related issue ?

#7 - 2012-11-13 14:55 - Egidijus Zideckas

- File timelog_report_links_patch.1.1.diff added

Added links to project and user, fixed small bug with date ranges.

#8 - 2012-11-14 16:05 - Egidijus Zideckas

- File timelog_report_links_patch.1.2.diff added

Changes:

Used code provided by Jérôme BATAILLE to format links to users, issues and projects. This way simplyfied _report_criteria.html.erb view.

Will test on our production now :)

#9 - 2012-12-03 16:32 - Egidijus Zideckas

- File timelog_report_links_patch.1.3.diff added

Fixed small bug preventing CSV export of timelog report. Now works fine on current trunk.

#10 - 2012-12-13 16:17 - Egidijus Zideckas

- File timelog_report_links_patch.1.5.diff added

Updated to be compatible with current trunk. There were changes made on Timelog report filters, see #10191

#11 - 2018-08-07 06:41 - Marius BĂLTEANU

- Status changed from New to Needs feedback

Most of the original requests from this ticket were implemented in #29042. I think that we can close this issue.

#12 - 2018-08-07 06:41 - Marius BĂLTEANU

- Related to Feature #29042: Add links to Users, Projects and Versions (at least) in timelog report added

#13 - 2018-09-01 07:48 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Marius BALTEANU wrote:

Most of the original requests from this ticket were implemented in #29042. I think that we can close this issue.

 Exactly. Closing this issue.
https://www.redmine.org/issues/10191
https://www.redmine.org/issues/29042
https://www.redmine.org/issues/29042
Timelog_hours_links.JPG 94.9 KB 2012-10-26 Egidijus Zideckas

timelog_report_links.diff 7.08 KB 2012-10-26 Egidijus Zideckas
